import axios from 'axios'
import qs from 'qs';

const fetchAxios = axios.create({
	baseURL: '/api/v1',
	timeout: 115000,
})

//请求拦截
fetchAxios.interceptors.request.use(
	(config) => {
		if (config.method === 'post') {
			if(config._contentType === 'json'){
				
			}else{
				config.headers['Content-Type'] = 'application/x-www-form-urlencoded; charset=UTF-8'
				config.data = qs.stringify(config.data)
			}
		}
		return config
	},
	(error) => {
		return Promise.reject(error)
	}
)

//返回拦截
fetchAxios.interceptors.response.use(
	(response) => {
		if (response.status !== 200) {
			return Promise.reject('error: response status is not 200')
		} else {
			return response
		}
	},
	(error) => {
		
		return Promise.reject(error)
	}
)

export default fetchAxios
