import React, { useEffect, useState } from "react";
import { List } from 'antd';
import {MainRightContentTittle,MemberListRightWrap,MainRightContentBottom} from '../style'
// import {Search20} from "../../style/icons"
import { SearchOutlined} from '@ant-design/icons'
import * as pinyin from "../../../utils/pinyin";
import {
	UserSwitchOutlined
} from '@ant-design/icons'

const MemberList = props => {
  const {  memberList } = props

  const [mtList,setMtList] = useState([])

  const handleSearch = (e)=>{
    if (e.target.value.length > 0) {
      var val = e.target.value.toLowerCase();
      let searchlist = mtList.filter((item) => {
        let name = item.e164 || "";
        if ((item.alias && item.alias !== "") && item.alias !== item.e164) { //name 优先取alias，可能是e164
          name = item.alias;
        } else if ((item.name && item.name !== "") && (item.name !== item.e164)) {//name然后取name，可能是e164
          name = item.name;
        }
        let itemName = name.toLowerCase();
        return (
          itemName.indexOf(val) > -1 ||
          pinyin.CC2PY(itemName, false).indexOf(val) > -1 ||
          pinyin.CC2JP(itemName, false).indexOf(val) > -1
        );
      });
      
      setMtList(searchlist)
    } else {
      setMtList(memberList);
    }
  }
  useEffect(()=>{
    setMtList(memberList);
  }, [])
  
  return (
    <>{}
     <MainRightContentTittle>
        <div className="memberspan">
          <span>与会方(</span>
          <span>{mtList.length}</span>
          <span>)</span>
        </div>
      </MainRightContentTittle>
      
      <MemberListRightWrap>
        <List
          dataSource={mtList}
          split={false}
          renderItem={item => (
            <List.Item key={item.e164}>
              <List.Item.Meta
                avatar={
                  <UserSwitchOutlined style={{ color: "#fff" }}/>
                }
                title={<span className="mtName">{item.alias?item.alias:item.name?item.name:item.account}</span>}
              />
            </List.Item>
          )}
        >
        </List>
      </MemberListRightWrap>
      <MainRightContentBottom>
          <div className="search-btn">
            <input
              type="text"
              autoComplete="new-password"
              placeholder="搜索与会方"
              className="search-input"
              onChange={(e)=>{handleSearch(e)}}
            ></input>
            <SearchOutlined className="search"/>
          </div>
        </MainRightContentBottom>
    </>
  )
}

export default MemberList



